
package org.trustedcomputinggroup._2010.ifmap._2;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for DeleteType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="DeleteType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;choice maxOccurs="2">
 *           &lt;element name="access-request" type="{http://www.trustedcomputinggroup.org/2010/IFMAP/2}AccessRequestType"/>
 *           &lt;element name="identity" type="{http://www.trustedcomputinggroup.org/2010/IFMAP/2}IdentityType"/>
 *           &lt;element name="ip-address" type="{http://www.trustedcomputinggroup.org/2010/IFMAP/2}IPAddressType"/>
 *           &lt;element name="mac-address" type="{http://www.trustedcomputinggroup.org/2010/IFMAP/2}MACAddressType"/>
 *           &lt;element name="device" type="{http://www.trustedcomputinggroup.org/2010/IFMAP/2}DeviceType"/>
 *         &lt;/choice>
 *       &lt;/sequence>
 *       &lt;attribute name="filter" type="{http://www.trustedcomputinggroup.org/2010/IFMAP/2}FilterType" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "DeleteType", propOrder = {
    "accessRequestOrIdentityOrIpAddress"
})
public class DeleteType {

    @XmlElements({
        @XmlElement(name = "identity", type = IdentityType.class),
        @XmlElement(name = "access-request", type = AccessRequestType.class),
        @XmlElement(name = "mac-address", type = MACAddressType.class),
        @XmlElement(name = "ip-address", type = IPAddressType.class),
        @XmlElement(name = "device", type = DeviceType.class)
    })
    protected List<Object> accessRequestOrIdentityOrIpAddress;
    @XmlAttribute
    protected String filter;

    /**
     * Gets the value of the accessRequestOrIdentityOrIpAddress property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the accessRequestOrIdentityOrIpAddress property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAccessRequestOrIdentityOrIpAddress().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link IdentityType }
     * {@link AccessRequestType }
     * {@link MACAddressType }
     * {@link IPAddressType }
     * {@link DeviceType }
     * 
     * 
     */
    public List<Object> getAccessRequestOrIdentityOrIpAddress() {
        if (accessRequestOrIdentityOrIpAddress == null) {
            accessRequestOrIdentityOrIpAddress = new ArrayList<Object>();
        }
        return this.accessRequestOrIdentityOrIpAddress;
    }

    /**
     * Gets the value of the filter property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFilter() {
        return filter;
    }

    /**
     * Sets the value of the filter property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFilter(String value) {
        this.filter = value;
    }

}
